Openmeetings: Difference between revisions
Jump to navigation
Jump to search
No edit summary |
|||
Line 43: | Line 43: | ||
## remove "" just after the line "Tomcat with SSL enabled" | ## remove "" just after the line "Tomcat with SSL enabled" | ||
## remove "" just after the second balise </bean> | ## remove "" just after the second balise </bean> | ||
==Start Script (thank Sohail Riaz)== | |||
<pre> | |||
#! /bin/sh | |||
### BEGIN INIT INFO | |||
# Provides: red5 | |||
# Required-Start: $remote_fs $syslog | |||
# Required-Stop: $remote_fs $syslog | |||
# Default-Start: 2 3 4 5 | |||
# Default-Stop: 0 1 6 | |||
# Short-Description: Starts red5 server for Openmeetings. | |||
### END INIT INFO | |||
# For RedHat and cousins: | |||
# chkconfig: 2345 85 85 | |||
# description: Red5 flash streaming server for OpenMeetings | |||
# processname: red5 | |||
# Created By: Sohail Riaz (sohaileo@gmail.com) | |||
# Modified by Alvaro Bustos | |||
PROG=red5 | |||
RED5_HOME=/opt/red5 | |||
DAEMON=$RED5_HOME/$PROG.sh | |||
PIDFILE=/var/run/$PROG.pid | |||
[ -r /etc/sysconfig/red5 ] && . /etc/sysconfig/red5 | |||
RETVAL=0 | |||
case "$1" in | |||
start) | |||
cd $RED5_HOME | |||
start-stop-daemon --start -c nobody --pidfile $PIDFILE \ | |||
--chdir $RED5_HOME --background --make-pidfile \ | |||
--exec $DAEMON >/dev/null 2>/dev/null & | |||
RETVAL=$? | |||
if [ $RETVAL -eq 0 ]; then | |||
echo $! > $PIDFILE | |||
fi | |||
echo | |||
;; | |||
stop) | |||
start-stop-daemon --stop --quiet --pidfile $PIDFILE \ | |||
--name java | |||
rm -f $PIDFILE | |||
echo | |||
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$PROG | |||
;; | |||
restart|force-reload) | |||
$0 stop | |||
$0 start | |||
;; | |||
status) | |||
# Debian and Ubuntu 10 status check | |||
ps aux | grep -f $PIDFILE >/dev/null 2>/dev/null && RETVAL=0 || RETVAL=3 | |||
# Ubuntu 12 status check using improved "start-stop-daemon" status query | |||
# (use the above command, or comment out above command and uncomment the two below commands. | |||
# start-stop-daemon --status --pidfile $PIDFILE | |||
# RETVAL=$? | |||
[ $RETVAL -eq 0 ] && echo "$PROG is running" | |||
[ $RETVAL -eq 1 ] && echo "$PROG is not running and the pid file exists" | |||
[ $RETVAL -eq 3 ] && echo "$PROG is not running" | |||
[ $RETVAL -eq 4 ] && echo "$PROG - unable to determine status" | |||
;; | |||
checkports) | |||
netstat -anp | grep soffice | |||
netstat -anp | grep java | |||
;; | |||
*) | |||
echo $"Usage: $0 {start|stop|restart|force-reload|status|checkports}" | |||
RETVAL=1 | |||
esac | |||
exit $RETVAL | |||
</pre> |
Revision as of 16:43, 14 November 2014
Installation
Dowload openmeetings at Apache Openmeetings Select tar.gz archive
Decompress into /opt/red5 folder
tar xzvf --file-name--
Via Script with mysql
cd /opt/red5
./admin.sh -i -v -tz America/Montreal -email webmaster@objclt.ca -group webbase -user admin --password password --db-type mysql --db-host mydbserver --db-name openmeetings --db-user dbuser --db-pass password --smtp-server smtp.objclt.ca --email-auth-user emailuser --system-email-address noreply@objclt.ca --email-auth-pass password
Setup Proxy
Change rtmps Port (red.property)
- Modify red5/conf/red5.properties
rtmps.port=5443 rtmps.keystorepass=yourpassword (password = password you set on your new keystore) http.port=443 https.port=443
Force Ssl (config.xml)
- Modify red5/webapps/openmeetings/public/config.xml
<rtmpsslport>5443</rtmpsslport> <useSSL>yes</useSSL> <proxyType>best</proxyType> <protocol>https</protocol> <red5httpport>443</red5httpport>
To use https
- go into directory red5/conf (cd red5/conf)
- Take a backup of the original jee-container
cp jee-container.xml jee-container.xml.orig
- Comment the entire section under Tomacat without SSL Enabled
- add an "" just after the line "Tomacat without SSL Enabled"
- add an "" just after the first balise </bean>
- Uncomment the entire section under Tomacat without SSL Enabled
- remove "" just after the line "Tomcat with SSL enabled"
- remove "" just after the second balise </bean>
Start Script (thank Sohail Riaz)
#! /bin/sh ### BEGIN INIT INFO # Provides: red5 # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Starts red5 server for Openmeetings. ### END INIT INFO # For RedHat and cousins: # chkconfig: 2345 85 85 # description: Red5 flash streaming server for OpenMeetings # processname: red5 # Created By: Sohail Riaz (sohaileo@gmail.com) # Modified by Alvaro Bustos PROG=red5 RED5_HOME=/opt/red5 DAEMON=$RED5_HOME/$PROG.sh PIDFILE=/var/run/$PROG.pid [ -r /etc/sysconfig/red5 ] && . /etc/sysconfig/red5 RETVAL=0 case "$1" in start) cd $RED5_HOME start-stop-daemon --start -c nobody --pidfile $PIDFILE \ --chdir $RED5_HOME --background --make-pidfile \ --exec $DAEMON >/dev/null 2>/dev/null & RETVAL=$? if [ $RETVAL -eq 0 ]; then echo $! > $PIDFILE fi echo ;; stop) start-stop-daemon --stop --quiet --pidfile $PIDFILE \ --name java rm -f $PIDFILE echo [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$PROG ;; restart|force-reload) $0 stop $0 start ;; status) # Debian and Ubuntu 10 status check ps aux | grep -f $PIDFILE >/dev/null 2>/dev/null && RETVAL=0 || RETVAL=3 # Ubuntu 12 status check using improved "start-stop-daemon" status query # (use the above command, or comment out above command and uncomment the two below commands. # start-stop-daemon --status --pidfile $PIDFILE # RETVAL=$? [ $RETVAL -eq 0 ] && echo "$PROG is running" [ $RETVAL -eq 1 ] && echo "$PROG is not running and the pid file exists" [ $RETVAL -eq 3 ] && echo "$PROG is not running" [ $RETVAL -eq 4 ] && echo "$PROG - unable to determine status" ;; checkports) netstat -anp | grep soffice netstat -anp | grep java ;; *) echo $"Usage: $0 {start|stop|restart|force-reload|status|checkports}" RETVAL=1 esac exit $RETVAL